Bug 1410105 - The USER_DEACTIVATE_STORAGE_DOMAIN_OVF_UPDATE_INCOMPLETE audit log message is missing
Summary: The USER_DEACTIVATE_STORAGE_DOMAIN_OVF_UPDATE_INCOMPLETE audit log message is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: Liron Aravot
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks: 1416339
TreeView+ depends on / blocked
 
Reported: 2017-01-04 13:14 UTC by Liron Aravot
Modified: 2017-02-15 14:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1416339 (view as bug list)
Environment:
Last Closed: 2017-02-15 14:57:44 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 68924 0 None None None 2017-01-04 13:15:22 UTC
oVirt gerrit 69606 0 ovirt-engine-4.1 MERGED dal: AuditLogMessages - missing message 2017-01-08 22:00:36 UTC
oVirt gerrit 69645 0 ovirt-engine-4.0 MERGED dal: AuditLogMessages - missing message 2017-01-09 10:10:25 UTC

Description Liron Aravot 2017-01-04 13:14:33 UTC
Description of problem:
The audit log message USER_DEACTIVATE_STORAGE_DOMAIN_OVF_UPDATE_INCOMPLETE translation is missing, causing to the audit log to not be added.

How reproducible:
Always


Steps to Reproduce:
1. Deactivate a non master data storage domain
2. Restart the engine during the ovf update (UploadStream) execution

Actual results:
No audit log appears

Expected results:
The USER_DEACTIVATE_STORAGE_DOMAIN_OVF_UPDATE_INCOMPLETE audit log message should appear (Failed to deactivate Storage Domain ${StorageDomainName} as the engine was restarted during the operation, please retry. (Data Center ${StoragePoolName}).

Comment 1 Sandro Bonazzola 2017-01-25 07:54:38 UTC
4.0.6 has been the last oVirt 4.0 release, please re-target this bug.

Comment 2 Avihai 2017-01-31 10:01:44 UTC
verified on engine 4.1.0.2-0.2.el7


Note You need to log in before you can comment on or make changes to this bug.